### Method

# Camel GpgContext import_key_sync

since: 3.50

#### Declaration [src]

    gboolean
    camel_gpg_context_import_key_sync (
      CamelGpgContext* context,
      const guint8* data,
      gsize data_size,
      guint32 flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Imports a (public) key provided in a binary form stored in the `data` of size `data_size`.

Available since: 3.50

#### Parameters

`data`

  Type: `const guint8*`

  The public key data.

  The data is owned by the caller of the method.

`data_size`

  Type: `gsize`

  The `data` size.

`flags`

  Type: `guint32`

  Bit-or of CamelPgpImportFlags, flags for the operation.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.